VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "WinRT Launcher Demo"
   ClientHeight    =   2475
   ClientLeft      =   120
   ClientTop       =   465
   ClientWidth     =   7740
   LinkTopic       =   "Form1"
   ScaleHeight     =   2475
   ScaleWidth      =   7740
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdUri2 
      Caption         =   "Launch Uri 2"
      Height          =   555
      Left            =   5160
      TabIndex        =   7
      Top             =   660
      Width           =   2505
   End
   Begin VB.CommandButton cmdUri1 
      Caption         =   "Launch Uri 1"
      Height          =   555
      Left            =   5160
      TabIndex        =   6
      Top             =   60
      Width           =   2505
   End
   Begin VB.CommandButton cmdFile2 
      Caption         =   "Launch File 2"
      Height          =   555
      Left            =   2610
      TabIndex        =   5
      Top             =   660
      Width           =   2505
   End
   Begin VB.CommandButton cmdFile1 
      Caption         =   "Launch File 1"
      Height          =   555
      Left            =   2610
      TabIndex        =   4
      Top             =   60
      Width           =   2505
   End
   Begin VB.CommandButton cmdDriveFolder4 
      Caption         =   "Launch Drive/Folder 4"
      Height          =   555
      Left            =   60
      TabIndex        =   3
      Top             =   1860
      Width           =   2505
   End
   Begin VB.CommandButton cmdDriveFolder3 
      Caption         =   "Launch Drive/Folder 3"
      Height          =   555
      Left            =   60
      TabIndex        =   2
      Top             =   1260
      Width           =   2505
   End
   Begin VB.CommandButton cmdDriveFolder2 
      Caption         =   "Launch Drive/Folder 2"
      Height          =   555
      Left            =   60
      TabIndex        =   1
      Top             =   660
      Width           =   2505
   End
   Begin VB.CommandButton cmdDriveFolder1 
      Caption         =   "Launch Drive/Folder 1"
      Height          =   555
      Left            =   60
      TabIndex        =   0
      Top             =   60
      Width           =   2505
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdDriveFolder1_Click()
    Dim Launcher As New clsLauncher
    If Launcher.LaunchFolderPathAsync("C:\Windows") Then
        Debug.Print "Ok"
    Else
        Debug.Print "Not Ok"
    End If
End Sub

Private Sub cmdDriveFolder2_Click()
    Dim StorageFile As New clsStorageFile
    Dim StorageFolder As New clsStorageFolder
    If StorageFile.GetFileFromPathAsync("C:\Windows\explorer.exe") Then
        If StorageFolder.GetFolderFromPathAsync("C:\Windows\System32") Then
            Dim FolderLauncherOptions As New clsFolderLauncherOptions
            FolderLauncherOptions.ItemsToSelectAppend = StorageFile.IStorageFile
            FolderLauncherOptions.ItemsToSelectAppend = StorageFolder.IStorageFolder
            If FolderLauncherOptions.InitializeWithWindow(Me.hWnd) Then
                Dim Launcher As New clsLauncher
                If Launcher.LaunchFolderPathWithOptionsAsync("C:\Windows", FolderLauncherOptions) Then
                    Debug.Print "Ok"
                Else
                    Debug.Print "Not Ok"
                End If
            End If
        End If
    End If
End Sub

Private Sub cmdDriveFolder3_Click()
    Dim StorageFolder As New clsStorageFolder
    If StorageFolder.GetFolderFromPathAsync("C:\Windows") Then
        Dim Launcher As New clsLauncher
        If Launcher.LaunchFolderAsync(StorageFolder) Then
            Debug.Print "Ok"
        Else
            Debug.Print "Not Ok"
        End If
    End If
End Sub

Private Sub cmdDriveFolder4_Click()
    Dim MainFolder As New clsStorageFolder
    Dim MainFolderFile As New clsStorageFile
    Dim MainFolderFolder As New clsStorageFolder
    If MainFolder.GetFolderFromPathAsync("C:\Windows") Then
        If MainFolderFile.GetFileFromPathAsync("C:\Windows\explorer.exe") Then
            If MainFolderFolder.GetFolderFromPathAsync("C:\Windows\System32") Then
                Dim FolderLauncherOptions As New clsFolderLauncherOptions
                FolderLauncherOptions.ItemsToSelectAppend = MainFolderFile.IStorageFile
                FolderLauncherOptions.ItemsToSelectAppend = MainFolderFolder.IStorageFolder
                If FolderLauncherOptions.InitializeWithWindow(Me.hWnd) Then
                    Dim Launcher As New clsLauncher
                    If Launcher.LaunchFolderWithOptionsAsync(MainFolder, FolderLauncherOptions) Then
                        Debug.Print "Ok"
                    Else
                        Debug.Print "Not Ok"
                    End If
                End If
            End If
        End If
    End If
End Sub

Private Sub cmdFile1_Click()
    Dim StorageFile As New clsStorageFile
    If StorageFile.GetFileFromPathAsync("C:\Windows\win.ini") Then
        Dim Launcher As New clsLauncher
        If Launcher.LaunchFileAsync(StorageFile) Then
            Debug.Print "Ok"
        Else
            Debug.Print "Not Ok"
        End If
    End If
End Sub

Private Sub cmdFile2_Click()
    Dim StorageFile As New clsStorageFile
    If StorageFile.GetFileFromPathAsync("C:\Windows\win.ini") Then
        Dim LauncherOptions As New clsLauncherOptions
        LauncherOptions.DisplayApplicationPicker = True
        If LauncherOptions.InitializeWithWindow(Me.hWnd) Then
            Dim Launcher As New clsLauncher
            If Launcher.LaunchFileWithOptionsAsync(StorageFile, LauncherOptions) Then
                Debug.Print "Ok"
            Else
                Debug.Print "Not Ok"
            End If
        End If
    End If
End Sub

Private Sub cmdUri1_Click()
    Dim UriRuntimeClass As New clsUriRuntimeClass
    If UriRuntimeClass.CreateUri("https://www.google.de") Then
        Dim Launcher As New clsLauncher
        If Launcher.LaunchUriAsync(UriRuntimeClass) Then
            Debug.Print "Ok"
        Else
            Debug.Print "Not Ok"
        End If
    End If
End Sub

Private Sub cmdUri2_Click()
    Dim UriRuntimeClass As New clsUriRuntimeClass
    If UriRuntimeClass.CreateUri("https://www.google.de") Then
        Dim LauncherOptions As New clsLauncherOptions
        LauncherOptions.DisplayApplicationPicker = True
        If LauncherOptions.InitializeWithWindow(Me.hWnd) Then
            Dim Launcher As New clsLauncher
            If Launcher.LaunchUriWithOptionsAsync(UriRuntimeClass, LauncherOptions) Then
                Debug.Print "Ok"
            Else
                Debug.Print "Not Ok"
            End If
        End If
    End If
End Sub
